Ubuntu14.04 安装PHP时如下报错

问答中心分类: PHPUbuntu14.04 安装PHP时如下报错
HUSH asked 8月 ago

cc: internal compiler error: Killed (program cc1)
Please submit a full bug report,
with preprocessed source if appropriate.
See <file:///usr/share/doc/gcc-4.8/README.Bugs> for instructions.
make: *** [ext/sqlite3/libsqlite/sqlite3.lo] Error 1
/bin/bash /root/oneinstack/src/php-5.6.29/libtool –silent –preserve-dup-deps –mode=compile cc -I/root/oneinstack/src/php-5.6.29/ext/sqlite3/libsqlite -DSQLITE_ENABLE_FTS3=1 -DSQLITE_CORE=1 -DSQLITE_ENABLE_COLUMN_METADATA=1 -DSQLITE_THREADSAFE=0 -Iext/sqlite3/ -I/root/oneinstack/src/php-5.6.29/ext/sqlite3/ -DPHP_ATOM_INC -I/root/oneinstack/src/php-5.6.29/include -I/root/oneinstack/src/php-5.6.29/main -I/root/oneinstack/src/php-5.6.29 -I/root/oneinstack/src/php-5.6.29/ext/date/lib -I/root/oneinstack/src/php-5.6.29/ext/ereg/regex -I/usr/include/libxml2 -I/usr/local/include -I/usr/include/freetype2 -I/root/oneinstack/src/php-5.6.29/ext/mbstring/oniguruma -I/root/oneinstack/src/php-5.6.29/ext/mbstring/libmbfl -I/root/oneinstack/src/php-5.6.29/ext/mbstring/libmbfl/mbfl -I/root/oneinstack/src/php-5.6.29/ext/sqlite3/libsqlite -I/root/oneinstack/src/php-5.6.29/ext/zip/lib -I/root/oneinstack/src/php-5.6.29/TSRM -I/root/oneinstack/src/php-5.6.29/Zend -I/usr/local/include -g -O2 -fvisibility=hidden -c /root/oneinstack/src/php-5.6.29/ext/sqlite3/libsqlite/sqlite3.c -o ext/sqlite3/libsqlite/sqlite3.lo
cc: internal compiler error: Killed (program cc1)
Please submit a full bug report,
with preprocessed source if appropriate.
See <file:///usr/share/doc/gcc-4.8/README.Bugs> for instructions.
make: *** [ext/sqlite3/libsqlite/sqlite3.lo] Error 1
PHP install failed, Please Contact the author!
Killed
root@GrumpyMean-VM:~/oneinstack# System start/stop links for /etc/init.d/php-fpm already exist.
Starting php-fpm /etc/init.d/php-fpm: 57: /etc/init.d/php-fpm: /usr/local/php/sbin/php-fpm: not found
failed
~/oneinstack/src ~/oneinstack
~/oneinstack

4 Answers
oneinstack 管理员 answered 8月 ago

什么操作系统? 服务器具体什么配置?

HUSH answered 8月 ago

Ubuntu 14.04 LTS x64
4.9.0-040900-generic
QEMU Virtual CPU version (cpu64-rhel6)@2.6GHz
128M内存 128M SWAP

oneinstack 管理员 answered 8月 ago

服务器配置太低。。。导致安装中断

HUSH answered 8月 ago

推荐的最低配置是多少呢